> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/3.-query-ottieni-satelliteimages.md).

# 3. Query: ottieni "SatelliteImages"

Ottieni "SatelliteImages" con una soglia di nuvolosità definita per il "Field".

Suggerimenti:&#x20;

* Leggi tutte le "Farms" accessibili per l'"User" - rimuovere *(*`farmUuids: ["d2bf8ef5-cde0-4500-b931-2edd0fb40781"`*`]`)*. Lavoro simile con "Fields", "SatelliteImages", "VectorAnalysisMap".
* Consentito `geoMapType` filtro con valori accettabili: `TUTTI`, `ORIGINALE`, `RITAGLIATO`, `RAW`, `ELABORATO`, `ANTEPRIMA`, `CONTRASTO`
* Filtri consentiti relativi alle date: `prima` e `dopo` che appartengono a [formato AWSDate.](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html) È possibile usare solo uno dei filtri. Maggiori dettagli sono [QUI](/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/37.-query-ottieni-satelliteimages-nellintervallo-definito.md).
* Consentito `provider` filtro con valori accettabili: `PS`, `S2`, `L9`, `L8`, `L7`, `L5`, `L4`
* Consentito `soglia` il filtro evidenzia la copertura nuvolosa: "1" significa senza nuvole, "0" - completamente nuvoloso.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFields {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    nome
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nome
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        }
        
        recomendedForMutliYearAnalytics 
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesViaGetFarms {
  getFields (filter: {fieldUuid: "<placeholder_of_field_uuid>"}) {
    fields {
      uuid
      nome
      satelliteImages (before:"2022-05-01" after: "2022-04-01" provider:S2 threshold:0.83 geoMapType: ORIGIN)  {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        } 
        cloudFreeLand
        geoMaps {
          shortName
          url
          classes
          hexColorCodes
        }
        ndviAverage
        
        statistics {
          index
          min
          max
          avg
          mdn
          var
          std
        } 
        
        recomendedForMutliYearAnalytics
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/panoramica-delle-richieste-api-geopard/3.-query-ottieni-satelliteimages.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
